Error al conectar a PostGIS, al darle doble-click sobre la capa
05/15/2020 10:35 AM - Mario Carrera

Status: Closed % Done: 100%
Priority: Normal Spent time: 0.00 hour
Assignee: Francisco Díaz Carsí
Category: Database
Target version: 2.5.1-3024
Severity: Minor Add-on version:
gvSIG version: 2.5.1 Add-on build:
gvSIG build: 3023 Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: Proyecto:
Has patch: Hito:
Add-on name: Unknown
Description

Al darle doble-click sobre una capa PostGIS cargada se ha quedado bloqueado gvSIG. La capa sí que estaba cargada sin
problemas. En la consola han saltado varios errores.

Adjunto log.

Related issues:
Related to Application: gvSIG desktop - gvSIG bugs # 5251: Al copiar geometrí... Closed 04/30/2020

Associated revisions
Revision 650 - 06/04/2020 08:02 AM - Francisco Díaz Carsí

refs #5272 Fixed remote to postgresql connection when network is fallen

History
#1 - 05/18/2020 11:02 AM - Álvaro Anguix
- Related to gvSIG bugs #5251: Al copiar geometrías a una capa PostGIS se copian en  la tabla pero no copia la geometría added

#2 - 06/04/2020 08:21 AM - Francisco Díaz Carsí
- % Done changed from 0 to 100
- Target version changed from 2.5.1-3044 to 2.5.1-3024
- Assignee set to Francisco Díaz Carsí
- Status changed from New to Fixed

Esto ocurría cuando la conexión a la base de datos era inestable (o directamente se había caído) principalmente a través de internet.
Si la conexión con el servidor se había caído, al pedir las propiedades de la capa, para generar el constructor de expresiones de las propiedades de la
clase de etiquetado, gvsig se quedaba esperando para obtener los atributos de la capa.

Se ha añadido un tiempo de espera máximo a la conexión de 30s por defecto, para lo cual se han tenido que actualizar las librerías de DBCP.

#3 - 06/08/2020 12:30 PM - Mario Carrera
- Status changed from Fixed to Closed
Funciona en el 3024
